[Processing] Python error when i try to open a model
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.16.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23267

Description

Hi, I receive a python error when i try to open a model that is not in the proper Processing model folder

(C:\\Users\\11186cs\\.qgis2\\processing\\models)

If I first copy the model into the folder, then it is correctly opened.

Python Error:

Traceback (most recent call last):

              File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\gui\\ProcessingToolbox.py", line 276, in executeAlgorithm

                action.execute()

              File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\modeler\\AddModelFromFileAction.py", line 74, in execute

                destFilename = os.path.join(ModelerUtils.modelsFolder(), os.path.basename(filename))

            AttributeError: class ModelerUtils has no attribute 'modelsFolder'

Qgis 2.16

win 8

Associated revisions

Revision b167c09e - 2016-07-25 01:17 PM - Alexander Bruy

[processing] use default models folder when adding model from file (fix #15335)

Revision 88d83e36 - 2016-07-25 01:18 PM - Alexander Bruy

[processing] use default models folder when adding model from file (fix #15335)

(cherry picked from commit b167c09e4412b1bf8559020a529b80e520b28b22)

Revision ebd5b0bc - 2016-07-25 01:19 PM - Alexander Bruy

[processing] use default models folder when adding model from file (fix #15335)

(cherry picked from commit b167c09e4412b1bf8559020a529b80e520b28b22)

Revision 2e4c3280 - 2016-07-25 03:35 PM - Alexander Bruy

Revert "[processing] use default models folder when adding model from file (fix #15335)"
This reverts commit ebd5b0bc3ada82feb65d2ac3932f29b7a7c615b2 cherry-picked by mistake

Revision 484fd18e - 2016-10-05 12:34 PM - Victor Olaya

[processing] fixed add model from file

fixes #15335

History

#1 - 2016-07-25 04:04 AM - Paolo Cavallini

Please remove your local processing install first.

#2 - 2016-07-25 04:12 AM - stefano campus

it's a brand new installation via osgeo4w with qgis 2.16 and qgis dev only.

all keys in the registry were deleted before instaltion as the .qgis2 folder.

processing is not a plugin anymore, is it?

so which local installation do i have to dleete?

thank you

s.

#3 - 2016-07-25 04:16 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"b167c09e4412b1bf8559020a529b80e520b28b22".
